%define gst_majorminor 0.10
%define	gstreamer_ver 0.10.0

Name: gstreamer-plugins-fc
Version: 0.2
Release: 1%{?dist}
Summary: Future Composer input plugin for GStreamer
Group: Applications/Multimedia
License: GPLv2+
URL: http://xmms-fc.sourceforge.net
Source0: http://downloads.sourceforge.net/xmms-fc/gstreamer-plugin-fc-%{version}.tar.bz2

BuildRequires: gstreamer-devel >= %{gstreamer_ver}
BuildRequires: libfc14audiodecoder-devel

# for %%{_libdir}/gstreamer-%%{gst_majorminor}
Requires: gstreamer


%description
This is an input plugin for GStreamer which can play back Future Composer
music files from AMIGA. Song-length detection and seek are implemented, too.


%prep
%setup -q -n gstreamer-plugin-fc-%{version}


%build
%configure \
    --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_libdir}/gstreamer-%{gst_majorminor}/*.so


%changelog
* Sat Jun 19 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-1
- Upgrade to 0.2 and BR libfc14audiodecoder-devel.

* Mon May 31 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1-4
- Set empty list of tags (so e.g. the SoundConverter app doesn't freeze).

* Sat Jan  9 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1-3
- Remove redundant buildroot related spec instructions for
  Fedora 11 and newer.

* Fri Nov 13 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1-2
- Use downloads.sourceforge.net and .tar.bz2

* Thu Jun  4 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1-1
- Initial package for Fedora.
